## @file ScoreDisplay.py
#  @author Vaibhav Chadha
#  @brief implements the interface after the snake dies
#  @date 11/22/2018

import pygame, sys
import highscore, Interface

def storeScore(score):
    prevScore = int(highscore.HighScore.findHighScore())
    #print(prevScore)
    if(score > prevScore):
        infile = open("highscore.txt", "w")
        infile.write(str(score))
    else: return

def display(score):
    pygame.init()
    storeScore(score)
    run = True
    while run:
        
        mousepos = pygame.mouse.get_pos() #checking mouse position
        mouseclick = pygame.mouse.get_pressed()#checking mouse pressed
        lastPage = pygame.display.set_mode((400, 400))
        lastPage.fill([200,150,100])

        highscore.HighScore.text('WOAHH Your Score is ' + str(score),"comicsansms", 30,[0, 200, 200],(10,50),lastPage)

        if (100 <= mousepos[0] <= 100+200 and 150 <= mousepos[1] <= 150+60 ):
            highscore.HighScore.button(lastPage,[0,255,0], [100,150,200,60], 0)
            if mouseclick[0] == 1:
                Interface.main()
        else:
            highscore.HighScore.button(lastPage,[0,170,0], [100,150,200,60], 0)
        highscore.HighScore.text('PLAY MORE!',"comicsansms", 30,[0,0,0],(110,160),lastPage)

        if (100 <= mousepos[0] <= 100+200 and 260 <= mousepos[1] <= 260+60 ):
            highscore.HighScore.button(lastPage,[250,0,0], [100,260,200,60], 0)
            if mouseclick[0] == 1:
                pygame.quit()
                sys.exit()
        else:
            highscore.HighScore.button(lastPage,[170,0,0], [100,260,200,60], 0)
        highscore.HighScore.text('CAN\'T PLAY',"comicsansms", 30,[0,0,0],(110,270),lastPage)
        
            
        pygame.display.update()

#display(99)
